﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using AvlF8101.F8101;

namespace AvlF8101
{
    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            var window = new MainWindow();
            window.DataContext = new MainWindowViewModel(
                String.Format("file://{0}html\\index.html", AppDomain.CurrentDomain.BaseDirectory), window.InvokeScript);
            window.Show();
        }
    }
}
